Bug 1346407 - Review Request: stress-ng - Stress test a computer system in various ways
Summary: Review Request: stress-ng - Stress test a computer system in various ways
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 18:08 UTC by Sascha Spreitzer (Red Hat)
Modified: 2017-04-27 05:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-26 18:20:54 UTC
negativo17: fedora-review+


Attachments (Terms of Use)

Description Sascha Spreitzer (Red Hat) 2016-06-14 18:08:50 UTC
Spec URL: https://git.spreitzer.ch/sspreitzer/snippets/snippets/3/raw
SRPM URL: https://kojipkgs.fedoraproject.org/work/tasks/8746/14488746/stress-ng-0.06.06-1.fc25.src.rpm
Description:
Stress test a computer system in various ways. It was designed to exercise
various physical subsystems of a computer as well as the various operating
system kernel interfaces.

Fedora Account System Username: sspreitz

Comment 1 Simone Caronni 2016-06-21 20:08:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 2 files have unknown license. Detailed output
     of licensecheck in /home/slaanesh/Downloads/stress-ng/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in stress-
     ng-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.

Comment 2 Simone Caronni 2016-06-21 20:09:19 UTC
Rpmlint
-------
Checking: stress-ng-0.06.06-1.fc23.x86_64.rpm
          stress-ng-debuginfo-0.06.06-1.fc23.x86_64.rpm
          stress-ng-0.06.06-1.fc23.src.rpm
stress-ng-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: stress-ng-debuginfo-0.06.06-1.fc23.x86_64.rpm
stress-ng-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
stress-ng-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
stress-ng (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libaio.so.1()(64bit)
    libaio.so.1(LIBAIO_0.1)(64bit)
    libaio.so.1(LIBAIO_0.4)(64bit)
    libbsd.so.0()(64bit)
    libbsd.so.0(LIBBSD_0.0)(64bit)
    libbsd.so.0(LIBBSD_0.3)(64bit)
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

stress-ng-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
stress-ng:
    stress-ng
    stress-ng(x86-64)

stress-ng-debuginfo:
    stress-ng-debuginfo
    stress-ng-debuginfo(x86-64)



Source checksums
----------------
http://kernel.ubuntu.com/~cking/tarballs/stress-ng/stress-ng-0.06.06.tar.gz :
  CHECKSUM(SHA256) this package     : cc58c8fd63490b20c8313c47c30ecb1543a0abd092b09bc9011c161b1a2c0e50
  CHECKSUM(SHA256) upstream package : cc58c8fd63490b20c8313c47c30ecb1543a0abd092b09bc9011c161b1a2c0e50


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -r -b 1346407
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Simone Caronni 2016-06-21 20:16:59 UTC
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "*No copyright* GPL (v2 or later)", "GPL (v2 or later)",
>      "Unknown or generated". 2 files have unknown license. Detailed output
>      of licensecheck in /home/slaanesh/Downloads/stress-ng/licensecheck.txt

This is ok, but please ask upstream to include the proper headers in the files.

> [!]: %build honors applicable compiler flags or justifies otherwise.
> [!]: Useful -debuginfo package or justification otherwise.
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in stress-
>      ng-debuginfo

> Checking: stress-ng-debuginfo-0.06.06-1.fc23.x86_64.rpm
> stress-ng-debuginfo.x86_64: E: debuginfo-without-sources

This is all related to the fact that the package ships with its own compiler flags in the Makefile:

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

You can probably just fix it by export the macro generated compiler flags, something like this:

%build
export CFLAGS=%{optflags}
make %{?_smp_mflags}

This should also generate binaries with debugging symbols that can then be later in the build stripped and the result used for debuginfo packages.

If the all/extra/02 flags create confusion just run sed in the %prep section.

Extra stuff:

- Group is not needed, unless you plan to build also for epel-5.
- You can substitute more stress-ng with %{name} (up to you..)
- Please sort BuildRequires.

There are a lot of additional compilation options that are available in the Makefile:

 HAVE_APPARMOR
 HAVE_KEYUTILS_H
 HAVE_XATTR_H
 HAVE_LIB_BSD
 HAVE_LIB_Z
 HAVE_LIB_CRYPT
 HAVE_LIB_RT
 HAVE_LIB_PTHREAD
 HAVE_FLOAT_DECIMAL
 HAVE_SECCOMP_H
 HAVE_LIB_AIO
 HAVE_SYS_CAP_H
 HAVE_VECMATH

Maybe it's worth investing some more time into it to enable some additional features.

Comment 4 Simone Caronni 2016-08-27 11:27:30 UTC
Ping? Any news?
2 months have passed since my last comment.

Comment 6 Sascha Spreitzer (Red Hat) 2016-11-14 13:06:45 UTC
Can you please review?

Comment 7 Simone Caronni 2016-11-18 10:16:26 UTC
All good with the changes, I'm looking at why the build fails if you don't relink binaries again with ppc and aarch architectures.

Comment 8 Simone Caronni 2016-11-18 11:02:45 UTC
Can you please replace the build and install section with this?

%install
install -p -m 755 -D %{name} %{buildroot}%{_bindir}/%{name}
install -p -m 644 -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%license COPYING
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

If you execute make install you need to remove (patch/sed) the additional CFLAGS from the Makefile and re-export the same CFLAGS in the install section or the target is different and things get relinked.

Man page can be installed uncompressed as RPM at assemble time compresses those before packing the RPM.

With the above changes, the package builds fine on all rawhide architectures without another build taking place in the install section.

Also, version 0.07.05 has come out, please update :)

Comment 9 Sascha Spreitzer (Red Hat) 2016-11-20 14:00:01 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=16545046

builds perfectly now

Comment 10 Igor Gnatenko 2016-11-20 14:11:20 UTC
* [RECOMMENDED] make %{?_smp_mflags} -> %make_build
* [MINOR] make %{?_smp_mflags} is not needed in %install
* [CRITICAL] LDFLAGS are ignored
* [RECOMMENDED] %{_mandir}/man1/stress-ng.1.gz -> %{_mandir}/man1/stress-ng.1*

Comment 12 Gwyn Ciesla 2016-11-20 16:44:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/stress-ng

Comment 13 Igor Gnatenko 2016-11-20 20:29:52 UTC
btw, license is GPLv2+, not GPLv2

I didn't check exact build, but otherwise looks good.

Comment 14 Sascha Spreitzer (Red Hat) 2016-11-21 13:08:04 UTC
License field changed

Comment 15 Fedora Update System 2016-11-21 13:14:37 UTC
stress-ng-0.07.05-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ef192fa61

Comment 16 Fedora Update System 2016-11-21 13:15:55 UTC
stress-ng-0.07.05-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e8476982e

Comment 17 Fedora Update System 2016-11-21 13:16:42 UTC
stress-ng-0.07.05-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3bb7571351

Comment 18 Fedora Update System 2016-11-21 13:23:51 UTC
stress-ng-0.07.05-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7960f25459

Comment 19 Fedora Update System 2016-11-21 13:24:43 UTC
stress-ng-0.07.05-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0663121c05

Comment 20 Fedora Update System 2016-11-21 13:25:25 UTC
stress-ng-0.07.05-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b925ae12fa

Comment 21 Fedora Update System 2016-11-22 23:25:05 UTC
stress-ng-0.07.05-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b925ae12fa

Comment 22 Fedora Update System 2016-11-23 20:31:46 UTC
stress-ng-0.07.05-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0663121c05

Comment 23 Fedora Update System 2016-11-23 23:06:36 UTC
stress-ng-0.07.05-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7960f25459

Comment 24 Fedora Update System 2016-12-01 22:21:04 UTC
stress-ng-0.07.05-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-04-18 13:54:57 UTC
stress-ng-0.07.29-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3d9412367

Comment 26 Fedora Update System 2017-04-18 13:55:34 UTC
stress-ng-0.07.29-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f60124841

Comment 27 Fedora Update System 2017-04-19 10:55:22 UTC
stress-ng-0.07.29-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f60124841

Comment 28 Fedora Update System 2017-04-19 10:56:32 UTC
stress-ng-0.07.29-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3d9412367

Comment 29 Fedora Update System 2017-04-26 18:20:54 UTC
stress-ng-0.07.29-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-04-27 05:51:52 UTC
stress-ng-0.07.29-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.